// ******************************
// camera effect : luminous bloom
// ******************************

#declare bpw=1;
#declare bth=.9/255;
#declare bsc=.9;
box{-.5,.5
    texture{
      pigment{
        average
          pigment_map{
            [
              function{f_p(x,y,z).x/255}   
              poly_wave bpw
              color_map{[0 rgbf 1][bth rgbf 1][1 Red*3]}
            ]
            [
              function{f_p(x,y,z).y/255} 
              poly_wave bpw
              color_map{[0 rgbf 1][bth rgbf 1][1 Green*3]}
            ]
            [
              function{f_p(x,y,z).z/255} 
              poly_wave bpw
              color_map{[0 rgbf 1][bth rgbf 1][1 Blue*3]}
            ]
          }
      }
      normal{granite scale .1}
      finish{emission 255*1 diffuse 0 brilliance 0}
    }
    interior{ior 1.0 refraction on}
  hollow no_shadow
  scale <width_ratio*bsc,height_ratio*bsc,.0001>
  translate .9*z
}
