// ***********************************
// camera deffect : optical vignetting
// ***********************************

// declare avergaed texture to fake the vignette opacity
#declare t_vignette=
texture{
  average
  texture_map{
    [vignetting_filter t_output_image]
    [1-vignetting_filter pigment{rgb 0}]
  }
}

// use an onion pattern to create the vignetting effect 
#declare t_output_image=
texture{ 
  pigment_pattern{
    onion
  }
  poly_wave vignetting_pw
  texture_map{
    [0.0 t_output_image]
    [vignetting_start t_output_image]
    [vignetting_end t_vignette]
    [1.0 t_vignette]
  }
}
